SDL_SINT64_C(3)

NAME
SDL_SINT64_C - Append the 64 bit integer suffix to a signed integer literal.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_SINT64_C(c)  c ## LL  /* or whatever the current compiler uses. */

DESCRIPTION
This helps compilers that might believe a integer literal larger than 0xFFFFFFFF is overflowing a 32-bit value. Use SDL_SINT64_C(0xFFFFFFFF1) instead of 0xFFFFFFFF1 by itself.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_UINT64_C(3)